Commit Graph

39 Commits

Author SHA1 Message Date
Gaetan Lepage
3fecd68e9d cudaPackages_13_3.cccl: init at 13.3.3.3.1 2026-06-21 16:56:43 +00:00
Sizhe Zhao
19724fe21f dlpack: init at 1.3 2026-06-01 15:52:19 +08:00
Yiyu Zhou
771b7f0094 dl-librescore: 0.35.34 -> 0.35.40 2026-03-28 21:11:38 -07:00
Yiyu Zhou
20df95ea5f dl-librescore: add yiyu as maintainer 2026-03-28 21:11:38 -07:00
Yiyu Zhou
3f1137f388 dl-librescore: cleanup 2026-03-28 21:11:38 -07:00
Yiyu Zhou
0f377630f7 dl-librescore: fix build 2026-03-28 21:11:38 -07:00
quantenzitrone
55280fa564 various: rename references from libX11 to libx11
this shouldn't create any rebuilds
2026-02-06 00:24:34 +01:00
Matthias Beyer
9acf56efab dl-librescore: 0.35.29 -> 0.35.34 (#455742) 2025-12-18 09:19:21 +00:00
Matthias Beyer
147b2e7a9b dl-librescore: 0.35.32 -> 0.35.34
Signed-off-by: Matthias Beyer <mail@beyermatthias.de>
2025-12-18 10:03:54 +01:00
Ihar Hrachyshka
567e8dfd8e treewide: clean up 'meta = with' pattern
This commit was created by a combination of scripts and tools:
- an ast-grep script to prefix things in meta with `lib.`,
- a modified nixf-diagnose / nixf combination to remove unused `with
lib;`, and
- regular nixfmt.

Co-authored-by: Wolfgang Walther <walther@technowledgy.de>
2025-12-10 18:09:49 +01:00
Damien Cassou
15f7c3738e dl-librescore: 0.35.29 -> 0.35.32
Resolves #430574.
2025-11-05 22:01:07 +01:00
Damien Cassou
3eb61d8a8a dl-librescore: Use patch instead of replacing package-lock.json 2025-11-05 22:01:05 +01:00
Wolfgang Walther
90e7159c55 treewide: remove unused rec
Auto-fix by nixf-diagnose.
2025-10-05 10:49:12 +02:00
Haylin Moore
a784a11d3a dli: init at 0-unstable-2025-09-06 2025-09-06 16:50:07 +02:00
mivorasu
3c0ff7e40f treewide: add preConfigure and postConfigure for
configurePhase
2025-07-27 12:21:19 +00:00
Wolfgang Walther
5a0711127c treewide: run nixfmt 1.0.0 2025-07-24 13:55:40 +02:00
R. Ryantm
a65c267047 python3Packages.dlib: 19.24.9 -> 20.0 2025-06-29 21:49:08 +02:00
Connor Baker
ead6581362 tree-wide: cudaPackages.flags updates
Signed-off-by: Connor Baker <ConnorBaker01@gmail.com>
2025-05-27 15:05:36 +00:00
R. Ryantm
e77df0e4fc dlib: 19.24.8 -> 19.24.9 2025-05-15 14:14:53 +00:00
Leah Amelia Chen
4c05d5aa2c dlx: unbreak, modernize
Upstream is abandoned, but this is pretty trivial to fix.
Breakage caused by upgrade to GCC 14: see #388196

Part of ZHF #403336
2025-05-12 21:50:55 +02:00
Grimmauld
bbba065032 dleyna-server: drop 2025-04-21 17:57:35 +02:00
Grimmauld
56c54a5d87 dleyna-renderer: drop 2025-04-21 17:57:31 +02:00
Grimmauld
6c5307e31b dleyna-connector-dbus: drop 2025-04-21 17:57:28 +02:00
Grimmauld
562172f0ba dleyna-core: 0.7.0 -> 0.8.3
closes #399076
2025-04-21 17:57:23 +02:00
Winter
a19cd4ffb1 Revert "treewide: replace rev with tag"
This reverts commit 65a333600d.

This wasn't tested for correctness with something like fodwatch [0],
and should not have been (self-)merged so quickly, especially without
further review.

It also resulted in the breakage of at least one package [1] (and that's
the one we know of and was caught).

A few packages that were updated in between this commit and this revert
were not reverted back to using `rev`, but other than that, this is a
1:1 revert.

[0]: https://codeberg.org/raphaelr/fodwatch
[1]: https://github.com/NixOS/nixpkgs/pull/396904 / 758551e458
2025-04-08 02:57:25 -04:00
Pol Dellaiera
65a333600d treewide: replace rev with tag 2025-04-07 16:57:22 +02:00
Silvan Mosberger
374e6bcc40 treewide: Format all Nix files
Format all Nix files using the officially approved formatter,
making the CI check introduced in the previous commit succeed:

  nix-build ci -A fmt.check

This is the next step of the of the [implementation](https://github.com/NixOS/nixfmt/issues/153)
of the accepted [RFC 166](https://github.com/NixOS/rfcs/pull/166).

This commit will lead to merge conflicts for a number of PRs,
up to an estimated ~1100 (~33%) among the PRs with activity in the past 2
months, but that should be lower than what it would be without the previous
[partial treewide format](https://github.com/NixOS/nixpkgs/pull/322537).

Merge conflicts caused by this commit can now automatically be resolved while rebasing using the
[auto-rebase script](8616af08d9/maintainers/scripts/auto-rebase).

If you run into any problems regarding any of this, please reach out to the
[formatting team](https://nixos.org/community/teams/formatting/) by
pinging @NixOS/nix-formatting.
2025-04-01 20:10:43 +02:00
Sigmanificient
e6fe6f4b7c treewide: remove unused rec expressions 2025-03-13 21:34:05 +01:00
Peder Bergebakken Sundt
357d2530e5 treewide: substitute pname for strings
Inspired by https://github.com/NixOS/nixpkgs/pull/387725#issuecomment-2704943777, script is based on https://github.com/NixOS/nixpkgs/pull/336172 using what i learned in https://github.com/NixOS/nixpkgs/pull/386865, part of https://github.com/NixOS/nixpkgs/issues/346453

Should be zero rebuilds.

All candidates were made using:

```shell

export NIXPKGS_ALLOW_UNFREE=1
export NIXPKGS_ALLOW_INSECURE=1
export NIXPKGS_ALLOW_BROKEN=1

git-wait restore .

test -s packages.json || ( set -x;
  time nix-env --extra-experimental-features no-url-literals --option system x86_64-linux -f ./. -qaP --json --meta --drv-path --out-path --show-trace --no-allow-import-from-derivation --arg config '{ allowAliases = false; }' > packages.json
)

list_attrpath_fname_col() {
    jq <packages.json 'to_entries[] | select(.value.meta.position==null|not) | "\(.key)\t\(.value.meta.position)"' -r |
        sed -e "s#\t$(realpath .)/#\t#" |
        sed -e 's#:\([0-9]*\)$#\t\1#' |
        grep . |
        grep -iv haskell |
        grep -iv /top-level/ |
        grep -iv chicken |
        grep pkgs/by-name/ |
        grep -iv build |
        grep -E '/(package|default)\.nix'
}

FLOCKDIR="$(mktemp -d)"
N_WORKERS=4
while read attrpath fname col; do
    grep -qE 'repo *= *("\$\{pname\}"|pname);' "$fname" || continue

    echo | (
        # mutex on fname
        flock --nonblock 200 || {
            >&2 echo "failed to aquire lock for $fname"
            exit 1
        }

        echo "$attrpath"
        data="$(nix eval --impure  --expr 'with import ./. {}; { inherit ('"$attrpath"') pname drvPath passthru meta; drvPath2='"$attrpath"'.src.drvPath; }' --json)" || exit
        test -n "$data" || exit
        pname="$(jq <<<"$data" .pname -r)"
        test -n "$pname" || exit

        (set -x
            sd -F '${pname}'  "$pname"         "$fname"
            sd -F ' = pname;' " = \"$pname\";" "$fname"
        )

        data2="$(nix eval --impure  --expr 'with import ./. {}; { inherit ('"$attrpath"') pname drvPath passthru meta; drvPath2='"$attrpath"'.src.drvPath; }' --json)"
        if [[ "$data" = "$data2" ]]; then
            (set -x; git-wait add "$fname")
        else
            (set -x; git-wait restore "$fname")
            exit
        fi

        (set -x
            sd -F ' rec {' ' {' "$fname"
        )

        data3="$(nix eval --impure  --expr 'with import ./. {}; { inherit ('"$attrpath"') pname drvPath passthru meta; drvPath2='"$attrpath"'.src.drvPath; }' --json 2>/dev/nul)"

        if [[ "$data" = "$data3" ]]; then
            (set -x; git-wait add "$fname")
        else
            (set -x; git-wait restore "$fname")
        fi

    ) 200>"$FLOCKDIR"/"$(sha256sum - <<<"$fname" | cut -d' ' -f1)".lock &

    while [[ $(jobs -p | wc -l) -ge $N_WORKERS ]]; do
        wait -n < <(jobs -p) || true
    done

done < <(list_attrpath_fname_col)

wait

git restore .

time nix-env --extra-experimental-features no-url-literals --option system x86_64-linux -f ./. -qaP --json --meta --drv-path --out-path --show-trace --no-allow-import-from-derivation --arg config '{ allowAliases = false; }' > packages2.json
```

`diff packages{,2}.json` is empty, indicating that no package nor src derivation has changed.
I checked and cherry-picked the changes using `GIT_DIFF_OPTS='-u15' git -c interactive.singleKey=true add --patch`
2025-03-11 23:55:31 +01:00
Pavol Rusnak
e2e41f05a6 dlib: 19.24.6 -> 19.24.8 2025-03-10 20:56:44 +01:00
Aleksana
0cd4067f31 treewide: fix typos in comments (#384334) 2025-02-24 19:20:10 +08:00
Peder Bergebakken Sundt
5aba99242e treewide: fix typos in comments
Made with

```shell
git restore .
fd '\.nix$' pkgs/ --type f -j1 -x bash -xc "$(cat <<"EOF"
    typos --no-check-filenames --write-changes "$1"
    git diff --exit-code "$1" && exit
    #( git diff "$1" | grep -qE "^\+ +[^# ]") && git restore "$1"
    count1="$( bat --language nix --diff --style changes "$1" --theme "Monokai Extended" --color always | aha --no-header | grep -E '^<span style="color:olive;">~</span> ' | wc -l )"
    count2="$( bat --language nix --diff --style changes "$1" --theme "Monokai Extended" --color always | aha --no-header | grep -E '^<span style="color:olive;">~</span> (<span style="color:#f8f8f2;"> *</span>)?<span style="color:#75715e;">.*</span>$' | wc -l )"
    [[ $count1 -ne $count2 ]] && git restore "$1"
EOF
)" -- {}
```

and filtered with `GIT_DIFF_OPTS='--unified=15' git -c interactive.singleKey=true add --patch`

I initially tried using the tree-sitter cli, python bindings and even ast-grep through various means, but this is what I ended up with.
2025-02-24 10:44:41 +01:00
R. Ryantm
d42eac1a06 dl-librescore: 0.35.20 -> 0.35.29 2025-02-21 14:52:44 +00:00
Peder Bergebakken Sundt
0cd04d3036 treewide: migrate fetchgit rev = "refs/tags/..." to tag 2025-01-04 00:19:17 +01:00
Weijia Wang
e4248ffb0a dl-librescore: 0.35.17 -> 0.35.20 (#363450) 2024-12-18 20:53:17 +01:00
Silvan Mosberger
4f0dadbf38 treewide: format all inactive Nix files
After final improvements to the official formatter implementation,
this commit now performs the first treewide reformat of Nix files using it.
This is part of the implementation of RFC 166.

Only "inactive" files are reformatted, meaning only files that
aren't being touched by any PR with activity in the past 2 months.
This is to avoid conflicts for PRs that might soon be merged.
Later we can do a full treewide reformat to get the rest,
which should not cause as many conflicts.

A CI check has already been running for some time to ensure that new and
already-formatted files are formatted, so the files being reformatted here
should also stay formatted.

This commit was automatically created and can be verified using

    nix-build a08b3a4d19.tar.gz \
      --argstr baseRev b32a094368
    result/bin/apply-formatting $NIXPKGS_PATH
2024-12-10 20:26:33 +01:00
R. Ryantm
5d83ea3b9d dl-librescore: 0.35.17 -> 0.35.20 2024-12-09 03:59:23 +00:00
Jan Tojnar
064ee2cb49 libsoup_2_4: Rename from libsoup
The 2.4 ABI branch has not been supported by upstream for a while now but people still keep accidentally adding it to new packages.
2024-12-08 00:37:52 +01:00
aleksana
571c71e6f7 treewide: migrate packages to pkgs/by-name, take 1
We are migrating packages that meet below requirements:

1. using `callPackage`
2. called path is a directory
3. overriding set is empty (`{ }`)
4. not containing path expressions other than relative path (to
makenixpkgs-vet happy)
5. not referenced by nix files outside of the directory, other
than`pkgs/top-level/all-packages.nix`
6. not referencing nix files outside of the directory
7. not referencing `default.nix` (since it's changed to `package.nix`)
8. `outPath` doesn't change after migration

The tool is here: https://github.com/Aleksanaa/by-name-migrate.
2024-11-09 20:04:51 +08:00